package com.fhlbi.cbs.tradeservices.service;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

import org.jboss.ejb3.annotation.ResourceAdapter;


@MessageDriven(name="TestAQService", activationConfig = {
		@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
		@ActivationConfigProperty(propertyName = "destination",     propertyValue = "amqTest") })
	
@TransactionManagement(value= TransactionManagementType.CONTAINER)
@TransactionAttribute(value= TransactionAttributeType.REQUIRED)
@ResourceAdapter(value="activemq-rar-5.4.3.rar")
public class TestAQService implements MessageListener 
{
	public final void onMessage(Message message) 
	{
		try
		{
			System.out.println("****** Received amqtest message: " + ((TextMessage)message).getText());
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
	
}
